"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AreaHighlight = void 0;
const react_1 = __importDefault(require("react"));
const react_rnd_1 = require("react-rnd");
require("../style/AreaHighlight.css");
function AreaHighlight({ highlight, isScrolledTo, onClick }) {
    return (react_1.default.createElement("div", { className: `AreaHighlight ${isScrolledTo ? 'AreaHighlight--scrolledTo' : ''}` },
        react_1.default.createElement(react_rnd_1.Rnd, { disableDragging: true, enableResizing: false, className: "AreaHighlight__part", position: {
                x: highlight.position.boundingRect.left,
                y: highlight.position.boundingRect.top
            }, size: {
                width: highlight.position.boundingRect.width,
                height: highlight.position.boundingRect.height
            }, style: {
                cursor: 'pointer'
            }, onClick: onClick })));
}
exports.AreaHighlight = AreaHighlight;
exports.default = AreaHighlight;
//# sourceMappingURL=AreaHighlight.js.map